%define upstream_name File-Slurper
%define upstream_version 0.012

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple, sane and efficient module to slurp a file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode) >= 2.110.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(PerlIO::encoding)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A simple, sane and efficient module to slurp a file.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.12.0-3.mga8
+ Revision: 1504515
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.12.0-2.mga7
+ Revision: 1283752
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 tv <tv> 0.12.0-1.mga7
+ Revision: 1206271
- update to 0.012

* Sun Dec 24 2017 tv <tv> 0.11.0-1.mga7
+ Revision: 1184392
- update to 0.011

* Mon Oct 02 2017 tv <tv> 0.10.0-2.mga7
+ Revision: 1164371
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.10.0-1.mga7
+ Revision: 1159610
- update to 0.010

* Wed Jul 19 2017 sander85 <sander85> 0.9.0-1.mga7
+ Revision: 1125064
- update to 0.009

* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-3.mga6
+ Revision: 1027598
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 969642
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.8.0-1.mga6
+ Revision: 873586
- imported package perl-File-Slurper

